<?php
/**
* This file is part of the easy-CMS project.
* easy-CMS is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* easy-CMS is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with easy-CMS; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

include_once('config.inc.php');
include_once('classes/core/CoreObject.class.php');


/**
* Allows shorts texts operations and outputs.
*
* @access   private
* @author	Cedric Francoys <cedric.francoys@easy-cms.org>
* @version	ShortText.class, Sun Nov 28 13:26:21 CET 2004
* @package	Types
*/
class ShortText extends CoreObject {

  var $value;

  function ShortText($value = '') {
    $this->setValue($value);
  }

  function getType() {
    return EASY_CMS_TYPE_SHORTTEXT;
  }
		
  function compareTo(&$shortTextObj){
    return strcmp($this->getValue(), $shortTextObj->getValue());
  }
	
  function setValue(&$value) {
    $this->value = &$value;
  }

  function &getValue() {
    return $this->value;
  }

  function toString() {
    return $this->getValue();
  }

  function toXML() {
    return "<![CDATA[".str_replace("\n", "<br />", $this->getValue())."]]>";
  }
	
  function toSQL() {
		$formattedValue = preg_replace("/\\r\\n|\\n|\\r/", "<br />", $this->html_encode($this->getValue()));
		return $formattedValue;
  }
}
?>